﻿// IOStream_STL.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include "Functions.h"
#include <ctime>

int main()
{
	std::srand(std::time(0));
	createData_stream(100);
	createData_generate(100);
	std::list<int> data_list = loadData_stream<std::list<int>>("data.txt");
	std::vector<int> data_vec = loadData_copy<std::vector<int>>("data.txt", 200);
	std::deque<int> data_deque = loadData_copy<std::deque<int>>("data.txt", 200);
	std::list<int> res_list = modify_template(data_list);
	std::list<int> res_vec(200);
	modify_iter(data_vec.begin(), data_vec.end(), res_vec.begin());
	modify_for_each(data_deque);
	modify_transform("data.txt", "transform_result.txt");
	outputResult_stream("template_result.txt", res_list);
	outputResult_stream("iter_result.txt", res_vec);
	outputResult_stream("for_each_result.txt", res_list);

}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
